Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.annotations.common.reflection.java
Class JavaReflectionManager

    java.lang.Object
      org.hibernate.annotations.common.reflection.java.JavaReflectionManager

All Implemented Interfaces:
  ReflectionManager

    public class JavaReflectionManager

extends Object
implements ReflectionManager

The factory for all the objects in this package.

Author:
  Paolo Perrotta, Davide Marchignoli, Emmanuel Bernard

Constructor Summary
`JavaReflectionManager()`

Method Summary
`AnnotationReader` | `buildAnnotationReader(AnnotatedElement annotatedElement)`
`XClass` | `classForName(String name, Class caller)`
`boolean` | `equals(XClass class1, Class class2)`
`Map` | `getDefaults()`
`XPackage` | `packageForName(String packageName)`
`TypeEnvironment` | `toApproximatingEnvironment(TypeEnvironment context)`
`Class` | `toClass(XClass xClazz)`
`Method` | `toMethod(XMethod xMethod)`
`XClass` | `toXClass(Class clazz)`
`org.hibernate.annotations.common.reflection.java.JavaXType` | `toXType(TypeEnvironment context, Type propType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaReflectionManager

    public JavaReflectionManager()

Method Detail

### toXClass

    public XClass toXClass(Class clazz)

  Specified by:
    `toXClass` in interface `ReflectionManager`

### toClass

    public Class toClass(XClass xClazz)

  Specified by:
    `toClass` in interface `ReflectionManager`

### toMethod

    public Method toMethod(XMethod xMethod)

  Specified by:
    `toMethod` in interface `ReflectionManager`

### classForName

    public XClass classForName(String name,
                               Class caller)
                        throws ClassNotFoundException

  Specified by:
    `classForName` in interface `ReflectionManager`
  Throws:
    `ClassNotFoundException`

### packageForName

    public XPackage packageForName(String packageName)
                            throws ClassNotFoundException

  Specified by:
    `packageForName` in interface `ReflectionManager`
  Throws:
    `ClassNotFoundException`

### toXType

    public org.hibernate.annotations.common.reflection.java.JavaXType toXType(TypeEnvironment context,
                                                                              Type propType)

### equals

    public boolean equals(XClass class1,
                          Class class2)

  Specified by:
    `equals` in interface `ReflectionManager`

### toApproximatingEnvironment

    public TypeEnvironment toApproximatingEnvironment(TypeEnvironment context)

### buildAnnotationReader

    public AnnotationReader buildAnnotationReader(AnnotatedElement annotatedElement)

  Specified by:
    `buildAnnotationReader` in interface `ReflectionManager`

### getDefaults

    public Map getDefaults()

  Specified by:
    `getDefaults` in interface `ReflectionManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD